%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Net-SCP
Version:        0.07
Release:        3%{dist}

Summary:        Perl extension for secure copy protocol

License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-SCP/
Source0:        http://www.cpan.org/authors/id/I/IV/IVAN/Net-SCP-0.07.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Net::SSH), perl(String::ShellQuote)
Requires:       openssh-clients

%description
This module implements a Perl interface to scp.


%prep
%setup -q -n Net-SCP-%{version}
chmod 644 Changes README SCP.pm


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf %{buildroot}
make install \
  PERL_INSTALL_ROOT=%{buildroot} \
  INSTALLARCHLIB=%{buildroot}%{perl_archlib}
find %{buildroot} -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check || :
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Net
%{_mandir}/man3/*.3*


%changelog
* Thu Jun 08 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.07-3
- rebuilt and spec clean.
 
* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Mar 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.07-0.fdr.1
- Update to 0.07.
- Reduce directory ownership bloat.

* Tue Jan 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.06-0.fdr.5
- Fix documentation and module permissions (#65).
- Run tests in the %%check section.

* Wed Oct 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.06-0.fdr.4
- Specfile cleanup.

* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.06-0.fdr.3
- Install into vendor dirs.

* Sun May  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.06-0.fdr.2
- Own more dirs.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.06-0.fdr.1
- Update to current Fedora guidelines.

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.06-1.fedora.1
- First Fedora release.
